<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>routing</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
</head>
<body>
<div class="container">

    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="../admin">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Routing</li>
        </ol>
    </nav>
    <div class="jumbotron text-center">
        <h3>OSPF Routing Configuration </h3>
        </div>
    <form action="/route/config" method="post">
        <div class="form-group">
            <label for="action">Choose action</label>
    Choose action
    <select name="action" id="action">
        <option value="addOspf">Configure OSPF routing</option>
        <option value="editOspf">Modify OSPF configuration</option>
        <option value="delOspf">Delete OSPF instance</option>
    </select>
        </div>
        <div class="form-group">
            <label for="pID" >Process ID:</label>
    <input name="pID" value="1" id="pID" class="form-control">
        </div>
        <div class="form-group">
            <label for="ospfConfig">Loopback interface configuration:</label>
            <textarea rows = "11" cols = "60" name="ospfConfig" class="form-control" id="ospfConfig">
{
	"Cisco-IOS-XE-ospf:ospf": [{
		"id": 1,
		"router-id": "",
		"network": [{
			"ip": "",
			"mask": "",
			"area": null
		}]
	}]
}
        </textarea>
        </div>
        <div class="form-group">
            <input value="Submit config" type="submit" name="submit" class="btn btn-secondary">
        </div></form>

<form action="/logout">
    <button type="submit" class="btn btn-primary">logout </button>
</form>

<br>
</div>
</body>
</html>